
rawset(_G, 'newPlayerLapping', function(Pname, laps, extreme)
	for _,obj in pairs(PizzaTime.sync.hud.Lap2Objs)
		obj.goUp = true
	end
	S_StartSound(nil, sfx_lap2)
	local newLap = {
		name = Pname,
		y = 0,
		goUp = false,
		lap = laps,
		freezeTime = 0,
		ohno = extreme or false
	}
	if not executePTHook('HUD_NewLapObj', {newLap})
		table.insert(PizzaTime.sync.hud.Lap2Objs, newLap)
	end
end)

addHook("HUD", function(v)
	if gametype == GT_PIZZATIME2
		v.drawString(160,16,"Pizza Time",V_ALLOWLOWERCASE|V_SNAPTOTOP,"center")

		if PizzaTime.sync.hud.SavedPlayers[1]
			//1st place
			local p = PizzaTime.sync.hud.SavedPlayers
			if p[1] then
				local p = p[1]
				v.drawScaled(160*FU,120*FU,FixedMul(7*FU/5,skins[p.skin].highresscale),v.getSprite2Patch(p.skin,"STND",false,A,1,0),V_SNAPTOBOTTOM,v.getColormap(nil,p.skincolor))
	
				v.drawString(160,150,p.name,V_YELLOWMAP|V_ALLOWLOWERCASE|V_SNAPTOBOTTOM,"center")
				v.drawString(160,160,p.score,V_YELLOWMAP|V_ALLOWLOWERCASE|V_SNAPTOBOTTOM,"center")
				v.drawScaled((150*FU)+(27*(FU/3)),(170*FU)+(30*(FU/3)),FU/3,v.cachePatch(PizzaTime.sync.ranks[p.pt_mode.rank].name..'RANK'),V_SNAPTOBOTTOM)
			end

			//2nd place
			if p[2]
				v.drawScaled(140*FU-(80*FU),120*FU,FixedMul(20*FU/24,skins[p[2].skin].highresscale),v.getSprite2Patch(p[2].skin,"STND",false,A,2,0),V_SNAPTOBOTTOM,v.getColormap(nil,p[2].skincolor))
	
				v.drawString(140-80,150,p[2].name,V_ALLOWLOWERCASE|V_SNAPTOBOTTOM,"thin-center")
				v.drawString(140-80,160,p[2].score,V_ALLOWLOWERCASE|V_SNAPTOBOTTOM,"thin-center")
				v.drawScaled((133*FU-(80*FU))+(27*(FU/4)),(170*FU)+(30*(FU/4)),FU/4,v.cachePatch(PizzaTime.sync.ranks[p[2].pt_mode.rank].name..'RANK'),V_SNAPTOBOTTOM)
			end
			
			//3rd place
			if p[3]
				v.drawScaled(180*FU+(80*FU),120*FU,FixedMul(4*FU/5,skins[p[3].skin].highresscale),v.getSprite2Patch(p[3].skin,"STND",false,A,2,0),V_FLIP|V_SNAPTOBOTTOM,v.getColormap(nil,p[3].skincolor))
	
				v.drawString(180+80,150,p[3].name,V_BROWNMAP|V_ALLOWLOWERCASE|V_SNAPTOBOTTOM,"thin-center")
				v.drawString(180+80,160,p[3].score,V_BROWNMAP|V_ALLOWLOWERCASE|V_SNAPTOBOTTOM,"thin-center")
				v.drawScaled((173*FU+(80*FU))+(27*(FU/4)),(170*FU)+(30*(FU/4)),FU/4,v.cachePatch(PizzaTime.sync.ranks[p[3].pt_mode.rank].name.."RANK"),V_SNAPTOBOTTOM)
			end
		else
			v.drawString(160,35,"Pizzaface Wins!",V_REDMAP|V_SNAPTOTOP,"center")
			v.drawScaled(160*FU,100*FU,4*FU/5,v.cachePatch("PIZZAFACE"),0)
		end
	end
end, "intermission")